Retrieves all the contracts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contract| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| id2 |
id2 |
integer |
Required |
| company_id |
The company owner of this contract |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contract |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contract |
company |
Optionally required : company_id, company_code or company must be provided |
| reference |
Reference |
string | |
| reference_back_office |
Backoffice reference |
string | |
| reference_customer |
Customer Reference |
string | |
| date_start |
Start Date of the contract |
date | |
| date_end |
Contract End date |
date | |
| date_cancel |
Readonly , date +time when the contract goes in status Cancelled |
date | |
| date_last_invoiced |
Readonly contains the last date an invoice has been generated for this contract |
date | |
| name |
Name of the contract |
string | |
| description |
Description of Contract |
string | |
| feelist_id |
Feelist ID |
globally unique identifier | |
| article_price_label_id |
Article Price Llabel Id |
globally unique identifier | |
| account_manager_user_id |
FK of Account manager user |
globally unique identifier | |
| account_manager_user |
Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user |
user | |
| account_manager_user_code |
Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| renewal_term_months |
Renewal Term Months |
integer |
Range: inclusive between 0 and 1000000 |
| feelist_warranty_discount |
Feelist Warranty Discount |
decimal number |
Range: inclusive between 0 and 100 |
| price_label_warranty_discount |
Price Label Warranty Discount |
decimal number |
Range: inclusive between 0 and 100 |
| driving_distance |
Distance in km that are used to invoice the travel |
decimal number | |
| travel_fee_fix_discount |
Discount applied when computing the fee for travel |
decimal number |
Response Formats
application/json, text/json
{
"id": "c85f0b76-a59e-43a7-aa6c-015fd42806ff",
"id2": 2,
"company_id": "93d9d198-b2ec-4b18-8673-fa7b6707b93e",
"company_code": "sample string 4",
"reference": "sample string 5",
"reference_back_office": "sample string 6",
"reference_customer": "sample string 7",
"date_start": "2026-10-28T21:48:19.2128927+00:00",
"date_end": "2026-10-28T21:48:19.2128927+00:00",
"date_cancel": "2026-10-28T21:48:19.2128927+00:00",
"date_last_invoiced": "2026-10-28T21:48:19.2128927+00:00",
"name": "sample string 12",
"description": "sample string 13",
"feelist_id": "b4be4f2b-490c-416f-a0dd-b4f1505a9cdd",
"article_price_label_id": "55c2799d-d892-45e1-a0cb-2692cee18ae3",
"account_manager_user_id": "7a682d1b-5b9b-462d-896b-0633a6235038",
"account_manager_user": {
"id": "1eb83fec-3dd4-4f53-a263-5e26ee0b10ff",
"db_language_id": "885a31ba-582f-49c4-b86d-5b307d9be0fa",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-28T21:48:19.2128927+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "aa786685-6ac5-43e4-8776-b259fad88088",
"sales_organization": {
"id": "8723905b-c70f-4227-a6f8-d0cd5800b55b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "64920a7c-b796-4529-8b2b-d419101c82b6",
"db_currency_id": "1082acd1-35a7-45fc-b0f6-f60cd2f733b7",
"db_language_id": "20514511-c672-4757-913a-3f1d8b02d359",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:19.2128927+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "cd244b70-682f-4a56-b37c-509c0145283e",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "dac820f7-1664-40a4-a320-a24414893894",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-28T21:48:19.2128927+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "92b9a3c3-6c53-4f51-a5a5-5220af3838eb"
},
"account_manager_user_code": "sample string 17",
"modified_dateutc": "2026-10-28T21:48:19.2128927+00:00",
"renewal_term_months": 19,
"feelist_warranty_discount": 20.0,
"price_label_warranty_discount": 21.0,
"driving_distance": 22.0,
"travel_fee_fix_discount": 23.0
}